GET /accounting/diagnostics/entries
GET/accounting/diagnostics/entries
GET /accounting/diagnostics/entries
Request
Query Parameters
Possible values: <= 2 characters
Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].
Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].
Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].
Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00]. Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00].
Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00]. Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00].
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
Array [
]
Array [
]
]
entities
object[]
nullable
entry
object
gl_account
object
diagnostics
object
unbalanced
object[]
nullable
not_posted
object[]
nullable
no_gl_account
object[]
nullable
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"entry": {
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"transaction_id": 0,
"transaction_type": "string",
"type": "string",
"entry_type": "string",
"no": "string",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"description": "string"
},
"diagnostics": {
"unbalanced": [
{
"book_id": 0,
"master_record_id": 0,
"entry_type": "string"
}
],
"not_posted": [
{
"book_id": 0,
"master_record_id": 0,
"entry_type": "string"
}
],
"no_gl_account": [
{
"book_id": 0,
"master_record_id": 0,
"entry_type": "string"
}
],
"not_processed": true,
"discrepancy": true
}
}
],
"aggregations": [
null
]
}
- Schema
- Example (from schema)
Schema
Array [
Array [
]
Array [
]
Array [
]
]
entities
object[]
nullable
entry
object
gl_account
object
diagnostics
object
unbalanced
object[]
nullable
not_posted
object[]
nullable
no_gl_account
object[]
nullable
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"entry": {
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"transaction_id": 0,
"transaction_type": "string",
"type": "string",
"entry_type": "string",
"no": "string",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"description": "string"
},
"diagnostics": {
"unbalanced": [
{
"book_id": 0,
"master_record_id": 0,
"entry_type": "string"
}
],
"not_posted": [
{
"book_id": 0,
"master_record_id": 0,
"entry_type": "string"
}
],
"no_gl_account": [
{
"book_id": 0,
"master_record_id": 0,
"entry_type": "string"
}
],
"not_processed": true,
"discrepancy": true
}
}
],
"aggregations": [
null
]
}
- Schema
- Example (from schema)
Schema
Array [
Array [
]
Array [
]
Array [
]
]
entities
object[]
nullable
entry
object
gl_account
object
diagnostics
object
unbalanced
object[]
nullable
not_posted
object[]
nullable
no_gl_account
object[]
nullable
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"entry": {
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"transaction_id": 0,
"transaction_type": "string",
"type": "string",
"entry_type": "string",
"no": "string",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"description": "string"
},
"diagnostics": {
"unbalanced": [
{
"book_id": 0,
"master_record_id": 0,
"entry_type": "string"
}
],
"not_posted": [
{
"book_id": 0,
"master_record_id": 0,
"entry_type": "string"
}
],
"no_gl_account": [
{
"book_id": 0,
"master_record_id": 0,
"entry_type": "string"
}
],
"not_processed": true,
"discrepancy": true
}
}
],
"aggregations": [
null
]
}